<?php

class FG_Markers {	
	
	private $chartapi = 'http://chart.apis.google.com/chart?';
	
	function __construct() {
		$this->markerslist = array(
		'point'=>array('n'=>'cht=mm','s'=>'20x34'),
		'dot'=>array('n'=>'cht=it','s'=>'20x20'),
		);
	}

	function print_markers() {
		foreach($this->markerslist as $key=>$marker) {
			$mm = $this->chartapi . $marker['n'] . '&chs='.$marker['s'];
			$options .= '<input type="checkbox" id="fgmtype" name="fgmmarker[type]" value="'.$key.'"><label><img src="' . $mm .'" align="absmiddle" /></label> ';
		}
		
		return $options;
	}
	
	
	function getMarker($array) {
		$marker = $this->markerslist[$array['type']];
		
		$array['color'] = preg_replace('/#/','',$array['color']);
		
		if ($array['type'] == 'dot'){
			$color = $array['color'].',000000,00000000,00000000';
			$param = '&chl=&chx=000000,0&chf=bg,s,00000000&ext=.png';
		}
		else {
			$color = $array['color'].','.$array['color'];
			$param = '';
		}
		$markerimg = $this->chartapi . $marker['n'] . '&chs='.$marker['s'].'&chco='.$color.$param;
		
			
		
		return $markerimg;
	}
}

?>